## org.hibernate.metamodel.source.binder
Interface AttributeSourceContainer

All Known Subinterfaces:
  ComponentAttributeSource, CompositePluralAttributeElementSource, EntitySource, RootEntitySource, SubclassEntitySource

All Known Implementing Classes:
  AbstractEntitySourceImpl, ComponentAttributeSourceImpl, ComponentAttributeSourceImpl, CompositePluralAttributeElementSourceImpl, EntitySourceImpl, RootEntitySourceImpl, RootEntitySourceImpl, SubclassEntitySourceImpl, SubclassEntitySourceImpl

    public interface AttributeSourceContainer

Contract for a container of `AttributeSource` references. Both entities and components contain attributes.

Method Summary
`Iterable<AttributeSource>` `attributeSources()` Obtain this container's attribute sources.
`LocalBindingContext` `getLocalBindingContext()` Obtain the local binding context associated with this container.
`String` `getPath()` Obtain the path used to uniquely identify this container.

Method Detail

### getPath

    String getPath()

  Obtain the path used to uniquely identify this container.

  Returns:
    The unique identifier path

### attributeSources

    Iterable<AttributeSource> attributeSources()

  Obtain this container's attribute sources.

  Returns:
    The attribute sources.

### getLocalBindingContext

    LocalBindingContext getLocalBindingContext()

  Obtain the local binding context associated with this container.

  Returns:
    The local binding context

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.